<template>
  <div class="view">
    <div class="content">
      <div class="list">
        <div class="flex flex-col items-center bg-grey-lighter pt-4 items-center justify-between">
          <form class="shadow-md rounded flex-1 w-full px-2 py-4" v-model="settings" @submit.prevent="onSubmit">
            <div class="mb-2">
              <label for="" class="block text-gray-700 text-sm font-bold mb-2">Сотрудник</label>
              <input v-model="settings.user"
                     class="shadow appearance-none border rounded w-full py-2 px-3 text-grey-darker leading-tight focus:outline-none focus:shadow-outline"
                     type="text" placeholder="Your Name">
            </div>
            <div class="flex items-center justify-between mt-6">
              <button
                class="bg-blue-300 hover:bg-blue-dark text-white w-full font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline"
                type="submit">
                Сохранить
              </button>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
  export default {
    name: 'settings',
    created() {
      // this.$store.dispatch('loadSettings').then(() => {
      this.settings = { ...this.$store.state.settings };
      // });
    },
    data() {
      return {
        settings: {
          user: null,
          project: null,
        },
      };
    },
    methods: {
      onSubmit() {
        // this.$store.dispatch('saveSettings', this.settings);
      },
    },
  };
</script>


